Search found 6237 matches

Go to advanced search

by DeepSOIC
Sun Jan 20, 2019 10:03 am
Forum: Help on using FreeCAD
Topic: Error in TempoVis.py on saving
Replies: 5
Views: 84

Re: Error in TempoVis.py on saving

Open and close SketchPlatteChoke, and the error should be gone. Snippet I used to find the offending sketch: sks = App.ActiveDocument.findObjects('Sketcher::SketchObject') for sk in sks: if sk.ViewObject.TempoVis: print(sk.Label) I will try to debug it, but I'm not sure if I will be able to understa...
by DeepSOIC
Thu Jan 17, 2019 5:37 pm
Forum: Help on using FreeCAD
Topic: Can Surface be converted to Solid?
Replies: 8
Views: 304

Re: Can Surface be converted to Solid?

There is a tool on Curves add-on workbench that assembles a parametric solid from a set of faces. You have to provide a set of faces that fully surrounds a bit of space, the workbench won't add missing faces for you.

I've just made a PR to the workbench to fix it loading on py3, just in case.
by DeepSOIC
Thu Jan 17, 2019 1:56 pm
Forum: Python scripting and macros
Topic: Notify other objects of a sketch object change
Replies: 10
Views: 246

Re: Notify other objects of a sketch object change

BTW, I'd like to request to have link properties that are not dependencies, and even reversed dependencies. Examples. Non-dependency link: Part-o-magic exporter object links to an object it exports. This doesn't have to be a dependency, because the exporter fires up only when project is saved, or wh...
by DeepSOIC
Tue Jan 15, 2019 9:17 pm
Forum: Форум на русском языке
Topic: Базовые вопросы
Replies: 11
Views: 808

Re: Базовые вопросы

Std Part PartDesign Body Главные отличия: * Body имеет фигуру (свойство Shape). Его можно использовать на других верстаках для всяческих операций, работающих над фигурами (например с верстака Part). Part фигуры не имеет, он лишь группирует объекты. Например, можно спаять два тела (body) операцией P...
by DeepSOIC
Tue Jan 15, 2019 3:02 pm
Forum: Help on using FreeCAD
Topic: [Resolved - sorta] Display quirk in Windows Conda-Python3-Qt5 version
Replies: 20
Views: 354

Re: Display quirk in Windows Conda-Python3-Qt5 version

Yes, it's related to graphics driver. My laptop has switchable GPU (intel hd graphics 620 or geforce 940MX), and if I run FC on nvidia, the edges are visible as they should be.

Strangely, the good old py2-qt4 version is not affected.
by DeepSOIC
Mon Jan 14, 2019 10:44 pm
Forum: Help on using FreeCAD
Topic: [Resolved - sorta] Display quirk in Windows Conda-Python3-Qt5 version
Replies: 20
Views: 354

Re: Display quirk in Windows Conda-Python3-Qt5 version

+1, me too is having this problem. Any edges on concave joints are invisible. Made me assume that fusion wasn't working at some point. OS: Windows 10 Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.18.15518 (Git) Build type: Release Branch: master Hash: e83c44200ab428b753a1e08a2e4d95...
by DeepSOIC
Mon Jan 14, 2019 2:19 pm
Forum: Help on using FreeCAD
Topic: [SOLVED] Trying to understand how to orbit in 3D consistently
Replies: 5
Views: 124

Re: [SOLVED] Trying to understand how to orbit in 3D consistently

I actually find FreeCAD's trackball rotation the most usable of all. It certainly requires getting used to, though. It behaves as if you grab a sphere, which is centered at rotation focus (center of screen), and a bit larger than the screen in size. If you grab it near screen center, the rotation is...
by DeepSOIC
Sun Jan 13, 2019 11:44 pm
Forum: Open discussion
Topic: [feature request] sketcher make
Replies: 10
Views: 308

Re: [feature request] sketcher make

IMO, the requested thing can be just another manifestation of "distance" constraint
by DeepSOIC
Sun Jan 13, 2019 6:34 pm
Forum: Help on using FreeCAD
Topic: LeftHandVersions
Replies: 2
Views: 76

Re: LeftHandVersions

Use Part Mirror from Part workbench. Apply it to Body.
by DeepSOIC
Sun Jan 13, 2019 5:24 pm
Forum: Help on using FreeCAD
Topic: Part vs Part Design workbench
Replies: 10
Views: 194

Re: Part vs Part Design workbench

... Part workbench but when it's done I need to add some non-trivial cutouts (i.e. not simple geometric primitives) to the various panels which I don't appear to be able to do via sketches as it doesn't appear to be possible to attach a sketch to the resulting parts. Am I missing something Part wor...

Go to advanced search